SUDOSH(1)

NAME
sudosh2 - works like a VCR and records shell sessions.

SYNOPSIS
sudosh2 [OPTION]...

DESCRIPTION
sudosh2 can be used as a default login shell or as a filter. sudosh takes advantage of pty devices in order to sit between the user's keyboard and a program, in this case a shell. It was designed specifically to be used in conjunction with sudo(8) and allows execution of a shell with logging. It is basically a VCR and will record shell sessions and also has the ability to play back the sessions as they were originally recorded. It records all input/output, keyboard input, and timing information so that the session acn be played back in the original format.

OPTIONS

-h  display help synopsis and exit.

-i  [deprecated] initialize LOGDIR - Ignored, will be removed in future version

-v  show version information and exit.

ENVIRONMENT

SHELL
    This shell will be used with sudosh is executed. The shell must be listed in /etc/shells. If the shell specified isn't listed in /etc/shells the invoking user's login shell from /etc/passwd will be used instead. AIX is different. The SHELL is set and executed by setpenv() which reads the user's attributes from /etc/passwd.

BUGS
sudosh is difficult to pronounce.

EXAMPLES
Record your own session as yourself.
    $ sudosh
Obtain a root shell and record it.
    $ sudo sudosh
Login as oracle and record the session.
    $ sudo -u oracle sudosh
View recorded sessions. See also sudosh-replay(8)
    # sudosh-replay
sudosh may also be used as a login shell. Make sure to set the proper default shell in sudosh.conf, and add sudosh to /etc/shells.

AUTHOR
Josh Grebe <josh@shortcutsolutions.net> Douglas Richard Hanks, Jr.

SEE ALSO
sudosh.conf(5) sudosh-replay(8), sudo(8)